<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="graduate">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>graduate</refname>
    <refpurpose> graduations simplifiées des axes 2D  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[xi,xa,np]=graduate( xmi, xma,n1,n2)
[xi,xa,np]=graduate( xmi, xma)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>xmi,xma  </term>
        <listitem>
          <para>scalaire réel
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>n1, n2  </term>
        <listitem>
          <para>entiers avec comme valeurs par défaut 3, 10
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>xi, xa  </term>
        <listitem>
          <para>scalaire réel
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>np  </term>
        <listitem>
          <para>entier
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    graduate recherche l'intervalle minimum <literal>[xi,xa]</literal> et un nombre de graduations 
    <literal>np</literal> tels que :
  </para>
    <para>
      <literal>xi &lt;= xmi &lt;= xma &lt;= xa</literal>
    </para>
    <para><literal>xa - xi / np  =  k(10^n)</literal>,<literal>k</literal> dans <literal>[1 3 5]</literal> pour un entier <literal>n</literal>
  </para>
    <para>
      <literal>n1 &lt; np &lt; n2</literal>
    </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[
  y=(0:0.33:145.78)';
  clf();plot2d1('enn',0,y)
  [ymn,ymx,np]=graduate(mini(y),maxi(y))
  rect=[1,ymn,prod(size(y)),ymx];
  clf();plot2d1('enn',0,y,1,'011',' ',rect,[10,3,10,np])
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="xsetech">xsetech</link>
      </member>
      <member>
        <link linkend="plot2d">plot2d</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <para>S. Steer 1992;   </para>
  </refsection>
</refentry>
